> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出反向专用终结点

> **此端点处于 Beta 阶段。** API 接口约定已稳定，预计未来不会出现破坏性变更。<br /><br />返回指定服务的反向专用终结点列表。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints:
    get:
      tags:
        - ClickPipes
      summary: 列出反向专用终结点
      description: >-
        **此端点处于 Beta 阶段。** API 接口约定已稳定，预计未来不会出现破坏性变更。<br /><br
        />返回指定服务的反向专用终结点列表。
      parameters:
        - description: 拥有该服务的组织 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 拥有该反向专用终结点的服务 ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 为每个请求分配的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/ReversePrivateEndpoint'
                    type: array
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误说明。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求存在被视为客户端错误的问题，服务器无法或不会处理该请求。
components:
  schemas:
    ReversePrivateEndpoint:
      properties:
        description:
          description: 反向私网端点描述。最大长度为 255 个字符。
          example: My reverse private endpoint
          type: string
        dnsNames:
          description: 反向私网端点的内部 DNS name 列表。
          items:
            type: string
          type: array
        endpointId:
          description: 反向私网端点的 Endpoint ID。
          example: vpce-12345678901234567
          type: string
        id:
          description: 反向私网端点 ID。
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        mskAuthentication:
          description: MSK 集群身份验证类型。MSK_MULTI_VPC 类型必填。
          enum:
            - SASL_IAM
            - SASL_SCRAM
          example: SASL_IAM
          nullable: true
          type: string
        mskClusterArn:
          description: MSK 集群 ARN。MSK_MULTI_VPC 类型必填。
          example: arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster
          nullable: true
          type: string
        privateDnsNames:
          description: 反向私网端点的 private DNS name 列表。
          items:
            type: string
          type: array
        serviceId:
          description: 与反向私网端点关联的 ClickHouse 服务 ID。
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        status:
          description: 反向私网端点状态。
          enum:
            - Unknown
            - Provisioning
            - Deleting
            - Ready
            - Failed
            - PendingAcceptance
            - Rejected
            - Expired
          example: Ready
          type: string
        type:
          description: 反向私网端点类型。
          enum:
            - VPC_ENDPOINT_SERVICE
            - VPC_RESOURCE
            - MSK_MULTI_VPC
          example: VPC_ENDPOINT_SERVICE
          type: string
        vpcEndpointServiceName:
          description: VPC endpoint service 名称。
          example: com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567
          nullable: true
          type: string
        vpcResourceConfigurationId:
          description: VPC 资源配置 ID。VPC_RESOURCE 类型必填。
          example: rcfg-12345678901234567
          nullable: true
          type: string
        vpcResourceShareArn:
          description: VPC 资源共享 ARN。VPC_RESOURCE 类型必填。
          example: >-
            arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567
          nullable: true
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````